const { DataTypes } = require('sequelize');
const sequelize = require('../db');

const Inventory = sequelize.define('inventory', {
  telegram_id: {
    type: DataTypes.BIGINT,
    primaryKey: true
  },
  name: {
    type: DataTypes.STRING,
    allowNull: false,
  },
  description: {
    type: DataTypes.TEXT,
    allowNull: false,
  },
  effectData: { 
    type: DataTypes.JSON, 
    allowNull: true 
  },
  price: {
    type: DataTypes.INTEGER,
    allowNull: false,
  },
  rarity: {
    type: DataTypes.INTEGER,
    allowNull: false,
  },
  type: {
    type: DataTypes.STRING, // Тип предмета (например, "инструмент", "ресурс")
    allowNull: false,
  },
  duration: { 
    type: DataTypes.INTEGER, 
    allowNull: true 
  }, // Длительность эффекта в секундах
});



module.exports = Inventory;
